import type { GraphQLInputType } from "graphql";
import * as graphql from "graphql";
import type { InputStep } from "../input.js";
import type { NotVariableValueNode } from "../interfaces.js";
import { ExecutableStep } from "../step.js";
import type { ConstantStep } from "./constant.js";
export declare class __InputListStep extends ExecutableStep {
    private readonly inputValues;
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    private itemCount;
    constructor(inputType: graphql.GraphQLList<GraphQLInputType>, seenTypes: ReadonlyArray<GraphQLInputType> | undefined, inputValues: NotVariableValueNode | undefined);
    optimize(): ExecutableStep;
    execute(): any[];
    unbatchedExecute: () => any;
    at(index: number): InputStep | ConstantStep<undefined>;
    eval(): any[] | null;
    evalIs(value: null | undefined | 0): boolean;
    evalLength(): number | null;
}
//# sourceMappingURL=__inputList.d.ts.map