import type { GraphQLInputObjectType, GraphQLInputType } from "graphql";
import type { InputStep } from "../input.js";
import type { ExecutionExtra, NotVariableValueNode } from "../interfaces.js";
import { UnbatchedExecutableStep } from "../step.js";
export declare class __InputObjectStep extends UnbatchedExecutableStep {
    private inputObjectType;
    private inputValues;
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    private inputFields;
    constructor(inputObjectType: GraphQLInputObjectType, seenTypes: ReadonlyArray<GraphQLInputType>, inputValues: NotVariableValueNode | undefined);
    optimize(): this | import("./constant.js").ConstantStep<null>;
    finalize(): void;
    unbatchedExecute(_extra: ExecutionExtra, ...values: any[]): any;
    get(attrName: string): InputStep;
    eval(): any;
    evalIs(value: null | undefined | 0): boolean;
    evalIsEmpty(): boolean;
    evalHas(attrName: string): boolean;
}
//# sourceMappingURL=__inputObject.d.ts.map